## net.percederberg.mib.asn1.analysis
Class TreeWalker

    java.lang.Object
      |
      +--net.percederberg.mib.asn1.analysis.TreeWalker

Direct Known Subclasses:
  DepthFirstAdapter

public abstract class TreeWalker
extends java.lang.Object

The abstract class implementing a tree walker interface.

Author:
  Per Cederberg, per@percederberg.net

Constructor Summary
`TreeWalker()`

Method Summary
`protected java.lang.Object` `getIn(Node node)` Returns the input value for a given node.
`protected java.lang.Object` `getOut(Node node)` Returns the output value from a given node.
`void` `setIn(Node node, java.lang.Object value)` Sets the input value for a given node.
`void` `setOut(Node node, java.lang.Object value)` Sets the output value for a given node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalker

    public TreeWalker()

Method Detail

### getIn

    protected java.lang.Object getIn(Node node)

  Returns the input value for a given node.
  Parameters:
    `node` - a parse tree node
  Returns:
    the value for this node

### getOut

    protected java.lang.Object getOut(Node node)

  Returns the output value from a given node.
  Parameters:
    `node` - a parse tree node
  Returns:
    the value for this node

### setIn

    public void setIn(Node node,
                      java.lang.Object value)

  Sets the input value for a given node.
  Parameters:
    `node` - a parse tree node
    `value` - the input value

### setOut

    public void setOut(Node node,
                       java.lang.Object value)

  Sets the output value for a given node.
  Parameters:
    `node` - a parse tree node
    `value` - the output value